Package org.eclipse.mat.inspections

# Class FindLeaksQuery2.AccumulationPoint

java.lang.Object
org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint
org.eclipse.mat.inspections.FindLeaksQuery2.AccumulationPoint

Enclosing class:
  `FindLeaksQuery2`

public static class FindLeaksQuery2.AccumulationPoint extends FindLeaksQuery.AccumulationPoint

## Constructor Summary

Constructors
Constructor
Description
`AccumulationPoint(IObject object, long retainedSize, int[] path)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getPath()`
`long`
`getRetainedHeapSize()`

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint

`getObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccumulationPoint

public AccumulationPoint(IObject object, long retainedSize, int[] path)

## Method Details

### getRetainedHeapSize

public long getRetainedHeapSize()

Overrides:
  `getRetainedHeapSize` in class `FindLeaksQuery.AccumulationPoint`

### getPath

public int[] getPath()